WinDom: Font Library

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

# Font Library
[Reference documentation]

Utility functions related to fonts. More...

## Functions
int | mt_FontName2Id (APPvar *app, char *name)
| convert a font name in a id-font
int | mt_FontId2Name (APPvar *app, int id, char *name)
| convert an id-font in a font name
int | mt_VstLoadFonts (APPvar *app, int res)
| emulate vst_load_fonts() when GDOS is not detected
void | mt_VstUnloadFonts (APPvar *app, int res)
| emulate vst_unload_fonts() when GDOS is not detected
int | mt_VstFont (APPvar *app, int id)
| emulate vst_font()
int | mt_VqtName (APPvar *app, int elem, char *name)
| emulate vqt_name when GDOS not detected
int | mt_VqtXname (APPvar *app, int id, int __index, char *name, int *fl)
| customized function that sumary VDI functions vqt_extname, vqt_xfntinfo and vqt_fontheader
int | vqt_extname (int handle, int __index, char *name, int *speedo, INT16 *format, INT16 *flags)
| utility function based on NVDI4 vqt_ext_name binding

## Detailed Description

Utility functions related to fonts.

## Function Documentation

int mt_FontId2Name | ( | APPvar * | app,
|  | int | id,
|  | char * | name
| ) |

  | convert an id-font in a font name Parameters:
  | app | application descriptor
  | id | font identificator
  | name | name font associated to id, it should be a 64-byte buffer.
Returns: 0 (success) or -1 if the font is not found The identificator font is an integer value which identify in a unique way a font. This fonction finds the font name associated to a font identificator. The fonction needs a font manager to work correctly See also: mt_FontName2Id()

int mt_FontName2Id | ( | APPvar * | app,
|  | char * | name
| ) |

  | convert a font name in a id-font Parameters:
  | app | application descriptor
  | name | font name
Returns: font id or -1 if font does not exist The identificator font is an integer value which identify in a unique way a font. This fonction finds the id-font associated to a font name. The fonction needs a font manager to work correctly. See also: mt_FontId2Name()

int mt_VqtName | ( | APPvar * | app,
|  | int | elem,
|  | char * | name
| ) |

  | emulate vqt_name when GDOS not detected Parameters:
  | app | application descriptor
  | elem | same as elem paramter of VDI function vqt_name()
  | name | same as name paramter of VDI function vqt_name()
Returns: same as return value of VDI function vqt_name() mt_VqtName() has the same effect than vqt_name() except it works even if a font driver is not present in memory. The condition is a valid FONTID file exists in the $ETC directory.

int mt_VqtXname | ( | APPvar * | app,
|  | int | id,
|  | int | _index,
|  | char * | name,
|  | int * | fl
| ) |

  | customized function that sumary VDI functions vqt_extname, vqt_xfntinfo and vqt_fontheader Parameters:
  | app | application descriptor
  | id | font-ID
  | _index | same as 2nd parameter of VDI functions vqt_name() or vqt_extname()
  | name | TODO
  | fl | is a bitmap variable wich is a OR of the following flags: FNT_OUTLINE : vectorial font (bitmap font if unset) FNT_MONO : monospaced font (proportional font if unset) FNT_SPEEDO : vectorial font type is SPEEDO FNT_TRUETYPE : vectorial font type is True Type FNT_TYPE1 : vectorial font type is PostScript type 1
Returns: font ID or -1 in case of error

int mt_VstFont | ( | APPvar * | app,
|  | int | id
| ) |

  | emulate vst_font() Parameters:
  | app | application descriptor
  | id | same as id paramter of VDI function vst_font()
Returns: same as return value of VDI function vst_font()

int mt_VstLoadFonts | ( | APPvar * | app,
|  | int | res
| ) |

  | emulate vst_load_fonts() when GDOS is not detected Parameters:
  | app | application descriptor
  | res | same as res paramter of VDI function vst_load_fonts()
Returns: same as return value of VDI function vst_load_fonts()

void mt_VstUnloadFonts | ( | APPvar * | app,
|  | int | res
| ) |

  | emulate vst_unload_fonts() when GDOS is not detected Parameters:
  | app | application descriptor
  | res | same as res paramter of VDI function vst_unload_fonts()

int vqt_extname | ( | int | handle,
|  | int | index,
|  | char * | name,
|  | int * | speedo,
|  | INT16 * | format,
|  | INT16 * | flags
| ) |

  | utility function based on NVDI4 vqt_ext_name binding Parameters:
  | handle,index,name,format,flags | see VDI function vqt_ext_name()
  | speedo | will contain the flag name[32] returned by the VDI function vqt_ext_name()
Returns: see VDI function vqt_ext_name() the main change is the extra parameter speedo will contain name[32], and name[32] will be zero-ed (so that name[] is now a standard C string with a null byte at the end)